<?php
include "../conexion.php";
$ordt_id=$_GET['id'];   
$can=mysqli_query($con,"SELECT * from orden_detalle where ordt_id='$ordt_id'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$ordt_id=$dato['ordt_id'];
$ordt_art_id=$dato['ordt_art_id'];
$ordt_cantidad=$dato['ordt_cantidad'];
?>
<div class="">
    <div class="tabbable" >
        <ul class="nav nav-tabs">
            <li class="active"><a href="#SERIALES" data-toggle="tab">SERIALES</a> </li>
            <li><a href="#OTRO" data-toggle="tab">OTRO</a></li>
        </ul>
        <div class="tab-content">
            <div id="resultados_ser"></div> 
            <div class="tab-pane active" id="SERIALES">
                <form role="form" id="seriales" >      
                    <div class="col-md-12">
                        <input type="hidden" name="id" value="<?php echo $ordt_id; ?>">
                        <input type="hidden" name="ordt_cantidad" id="ordt_cantidad" value="<?php echo $ordt_cantidad; ?>">
                        <?php
                            $can1=mysqli_query($con,"SELECT * from seriales_articulos where articulos_art_id='$ordt_art_id' and estado='sin vender'") or die(mysqli_error($con)); 
                            $num=mysqli_num_rows($can1);
                            if($num>0)
                            {
                                echo '<label>SERIALES(ES) </label><br>';
                                while ($row=mysqli_fetch_array($can1))
                            {
                        ?>
                         <input type="checkbox" id="<?php echo $row['se_codigo']; ?>" name="serial[]" value="<?php echo $row['se_codigo']; ?>" <?php //echo $checked; ?>>
                        <label class="lab" for="<?php echo $row['se_codigo']; ?>"><?php echo $row['se_codigo']; ?></label>
                        <br>
                        <?php } }
                        else
                        {
                            echo '<div class="alert alert-success alert-dismissable">
                            <strong>No Tiene Seriales Registrados!</strong>
                            </div>'; 
                        }
                        ?>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                        <button type="submit" id="ser" class="btn btn-primary">Registrar</button>
                    </div>
                </form>
            </div>

            <div class="tab-pane" id="OTRO">
                <form role="form" id="oseriales" name="oseriales" > 
                    <input type="hidden" name="id" value="<?php echo $ordt_id; ?>">  
                    <input type="hidden" name="ordt_cantidad" id="ordt_cantidad" value="<?php echo $ordt_cantidad; ?>">   
                    <?php $i = 1;
                      while ($i <= $ordt_cantidad) {
                    ?>
                    <label for="art_nombre" class="control-label">Serial <?php echo $i++; ?> </label>
                    <input type="text" class="form-control" name="serial[]" value="" required  autocomplete="off">
                    <?php } ?>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                        <button type="submit" id="oser" class="btn btn-primary">Registrar</button>
                    </div>
                </form>
            </div>
        </div>  
    </div>
</div>
           
<script>
$( "#seriales" ).submit(function( event ){
$('#ser').attr("disabled", true);
var parametros = $(this).serialize();
$.ajax({
    type: "POST",
    url: "php_orden_de_servicios/z_registrar_serial.php",
    data: parametros,
        beforeSend: function(objeto){
         $('#resultados_ser').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_ser").html(datos);
      $('#ser').attr("disabled", false);
      
      }
  });
  event.preventDefault();
})
</script>
<script>
$('#oseriales').submit(function(e) 
{ 
  e.preventDefault();
}); 


$("#oseriales").submit(function( event ) {
$('#oser').attr("disabled", true);
var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_orden_de_servicios/z_registrar_serial.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados_ser').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_ser").html(datos);
      $('#oser').attr("disabled", false);
      }
  });
  event.preventDefault();
})
</script>
